<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'homepage',

    /*
     * Modules.
     */
    'modules'   => ['carousel', 'catalog', 'news_and_press', 'promo'],

    'carousel'       => [
        'model' => [
            'model' => \Litecms\Homepage\Models\Carousel::class,
            'repository' => \Litecms\Homepage\Repositories\Eloquent\CarouselRepository::class,
            'table' => 'carousels',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => [],
            'translatables' => [],
            'upload_folder' => 'homepage/carousel',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Homepage',
            'module' => 'Carousel',
        ],
    ],
    'catalog'       => [
        'model' => [
            'model' => \Litecms\Homepage\Models\Catalog::class,
            'repository' => \Litecms\Homepage\Repositories\Eloquent\CatalogRepository::class,
            'table' => 'catalogs',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => [],
            'translatables' => [],
            'upload_folder' => 'homepage/catalog',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Homepage',
            'module' => 'Catalog',
        ],
    ],
    'news_and_press'       => [
        'model' => [
            'model' => \Litecms\Homepage\Models\NewsAndPress::class,
            'repository' => \Litecms\Homepage\Repositories\Eloquent\NewsAndPressRepository::class,
            'table' => 'news_and_presses',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => [],
            'translatables' => [],
            'upload_folder' => 'homepage/news_and_press',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Homepage',
            'module' => 'NewsAndPress',
        ],
    ],
    'promo'       => [
        'model' => [
            'model' => \Litecms\Homepage\Models\Promo::class,
            'repository' => \Litecms\Homepage\Repositories\Eloquent\PromoRepository::class,
            'table' => 'promos',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => [],
            'translatables' => [],
            'upload_folder' => 'homepage/promo',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Homepage',
            'module' => 'Promo',
        ],
    ],
];
