<?php

namespace Litecms\Homepage\Seeders;

use DB;
use Illuminate\Database\Seeder;

class CarouselTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('carousels')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'homepage.carousel.view',
                'name'      => 'View Carousel',
            ],
            [
                'slug'      => 'homepage.carousel.create',
                'name'      => 'Create Carousel',
            ],
            [
                'slug'      => 'homepage.carousel.edit',
                'name'      => 'Update Carousel',
            ],
            [
                'slug'      => 'homepage.carousel.delete',
                'name'      => 'Delete Carousel',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/homepage/carousel',
                'name'        => 'Carousel',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/homepage/carousel',
                'name'        => 'Carousel',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'carousel',
                'name'        => 'Carousel',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Homepage',
                'module'    => 'Carousel',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'homepage.carousel.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
