<?php

namespace Litecms\Homepage\Seeders;

use DB;
use Illuminate\Database\Seeder;

class CatalogTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('catalogs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'homepage.catalog.view',
                'name'      => 'View Catalog',
            ],
            [
                'slug'      => 'homepage.catalog.create',
                'name'      => 'Create Catalog',
            ],
            [
                'slug'      => 'homepage.catalog.edit',
                'name'      => 'Update Catalog',
            ],
            [
                'slug'      => 'homepage.catalog.delete',
                'name'      => 'Delete Catalog',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/homepage/catalog',
                'name'        => 'Catalog',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/homepage/catalog',
                'name'        => 'Catalog',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'catalog',
                'name'        => 'Catalog',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Homepage',
                'module'    => 'Catalog',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'homepage.catalog.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
