<?php

namespace Litecms\Homepage\Repositories\Eloquent;

use Litecms\Homepage\Interfaces\NewsAndPressRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Homepage\Repositories\Eloquent\Presenters\NewsAndPressItemPresenter;


class NewsAndPressRepository extends BaseRepository implements NewsAndPressRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.homepage.news_and_press.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.homepage.news_and_press.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return NewsAndPressItemPresenter::class;
    }
}
